Update a webhook
https://email.growthdept.ai/api/webhooks/{id}The request body can be up to 5 MB.
Rate limits
Scopes
webhooks:write
Operation id
update_webhook The same operation as in Klaviyo's API. OpenAPI document
Path parameters
stringrequired
Query parameters
Pick values to add them to the request:
Body
Send application/vnd.api+json or application/json.
object
dataobjectrequired
data: 5 fields
typestringrequired
webhookidstringrequired
attributesobjectrequired
attributes: 5 fields
namestringcan be null
descriptionstringcan be null
endpoint_urlstringcan be null
secret_keystringcan be null
enabledbooleancan be null
relationshipsobject
relationships: 1 field
webhook-topicsobjectrequired
webhook-topics: 1 field
dataarray of objectsrequired
data: 2 fields
typestringrequired
webhook-topicidstringrequired
metaobject
Edit the example. The code samples use what you type here.
Headers
stringrequireddefault 2026-10-15
API revision, YYYY-MM-DD. This server implements 2026-10-15.
Responses
200Success
Response body
object
dataobjectrequired
data: 5 fields
typestringrequired
webhookidstringrequired
attributesobjectrequired
attributes: 6 fields
namestringrequired
descriptionstringcan be null
endpoint_urlstringrequired
enabledbooleanrequired
created_atstring (date-time)can be null
updated_atstring (date-time)can be null
relationshipsobject
relationships: 1 field
webhook-topicsobject
webhook-topics: 2 fields
dataarray of objects
data: 2 fields
typestringrequired
webhook-topicidstringrequired
linksobject
links: 2 fields
selfstring (uri)required
relatedstring (uri)required
linksobjectrequired
links: 1 field
selfstring (uri)required
linksobject
links: 1 field
selfstring (uri)required
metaobject
4XXClient error
Response body
object
errorsarray of objectsrequired
errors: 8 fields
idstringrequired
statusintegerrequired
codestringrequired
titlestringrequired
detailstringrequired
sourceobject
source: 2 fields
pointerstring
parameterstring
linksobject
metaobject
See status codes for each code.
5XXServer error
Response body
object
errorsarray of objectsrequired
errors: 8 fields
idstringrequired
statusintegerrequired
codestringrequired
titlestringrequired
detailstringrequired
sourceobject
source: 2 fields
pointerstring
parameterstring
linksobject
metaobject